import { type Config } from '@pnpm/config';
import { type InstallCommandOptions } from '@pnpm/plugin-commands-installation';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const commandNames: string[];
export declare function help(): string;
export type SelfUpdateCommandOptions = InstallCommandOptions & Pick<Config, 'wantedPackageManager' | 'managePackageManagerVersions'>;
export declare function handler(opts: SelfUpdateCommandOptions, params: string[]): Promise<undefined | string>;
